'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');
var React = require('react');
var BreadCrumbContext12s = require('./BreadCrumbContext-12s-BUJbMvr3.js');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);

/**
 * `Breadcrumb` 是一個導航元件，用於顯示當前系統層級結構中的路徑位置。
 *
 * 參考 [Material-UI Breadcrumbs](https://mui.com/material-ui/react-breadcrumbs/)
 *
 * @example
 *
 * ```tsx
 * <Breadcrumbs>
 *  <BreadcrumbItem>Home</BreadcrumbItem>
 *  <BreadcrumbItem>Components</BreadcrumbItem>
 *  <BreadcrumbItem isLast>Button</BreadcrumbItem>
 * </Breadcrumbs>
 *
 * // 也可以自訂子節點元件
 * <Breadcrumbs>
 *  <span>Home</span>
 *  <span>Components</span>
 *  <span>Button</span>
 * </Breadcrumbs>
 * ```
 */ const Breadcrumbs = /*#__PURE__*/ React.forwardRef(({ children, extractCurrent, currentPosition = 'top', containerProps, ...props }, ref)=>{
    if (extractCurrent) {
        const childrenArray = React__namespace.Children.toArray(children);
        const lastChild = childrenArray[childrenArray.length - 1];
        const previousChildren = childrenArray.slice(0, -1);
        return /*#__PURE__*/ jsxRuntime.jsx(BreadCrumbContext12s.BreadcrumbsProvider, {
            extractCurrent,
            currentPosition,
            children: /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                component: "nav",
                ...containerProps,
                children: [
                    currentPosition === 'top' && lastChild,
                    /*#__PURE__*/ jsxRuntime.jsx(material.Breadcrumbs, {
                        component: "div",
                        ref: ref,
                        ...props,
                        children: previousChildren
                    }),
                    currentPosition === 'bottom' && lastChild
                ]
            })
        });
    }
    return /*#__PURE__*/ jsxRuntime.jsx(material.Breadcrumbs, {
        ref: ref,
        ...props,
        children: children
    });
});

exports.Breadcrumbs = Breadcrumbs;
