'use client';
var jsxRuntime = require('react/jsx-runtime');
var Skeleton = require('@mui/material/Skeleton');
var Typography = require('@mui/material/Typography');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var Skeleton__default = /*#__PURE__*/_interopDefault(Skeleton);
var Typography__default = /*#__PURE__*/_interopDefault(Typography);

/**
 * `DecorativeTitle` 在標題前加上裝飾線。
 *
 * @example
 *
 * ```tsx
 * <DecorativeTitle>Decorative Title</DecorativeTitle>
 * ```
 */ const DecorativeTitle = /*#__PURE__*/ React.forwardRef(({ children, loading, ...rest }, ref)=>/*#__PURE__*/ jsxRuntime.jsx(Typography__default.default, {
        ref: ref,
        color: "primary.main",
        ...rest,
        sx: {
            display: 'flex',
            fontSize: '1.25rem',
            fontWeight: 'bold',
            '&:before': {
                content: '""',
                borderLeft: '5px solid',
                borderRadius: 20,
                borderColor: 'primary.main',
                mr: 1
            },
            ...rest?.sx
        },
        children: loading ? /*#__PURE__*/ jsxRuntime.jsx(Skeleton__default.default, {
            variant: "text",
            sx: {
                width: '100%'
            }
        }) : children
    }));

exports.DecorativeTitle = DecorativeTitle;
