'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');
var React = require('react');

const COLORS = [
    'default',
    'primary',
    'secondary',
    'error',
    'info',
    'success',
    'warning'
];
/**
 * 狀態點元件，用於表示狀態的小圓點，不同顏色表示不同狀態，分別具備不同含義。
 */ const Dot = /*#__PURE__*/ React.forwardRef(({ color: outerColor = 'primary', size = 8, label, placement = 'end' }, ref)=>{
    const color = React.useMemo(()=>{
        if (outerColor === 'default') return 'divider';
        if (COLORS.includes(outerColor)) return `${outerColor}.main`;
        return outerColor;
    }, [
        outerColor
    ]);
    return /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
        spacing: 1,
        direction: "row",
        alignItems: "center",
        children: [
            placement === 'start' && /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                children: label
            }),
            /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                "aria-label": "dot",
                ref: ref,
                sx: {
                    display: 'inline-block',
                    width: size,
                    height: size,
                    borderRadius: '50%',
                    bgcolor: color
                }
            }),
            placement === 'end' && /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                children: label
            })
        ]
    });
});

exports.Dot = Dot;
