'use client';
var jsxRuntime = require('react/jsx-runtime');
var ModalQuick12s = require('./ModalQuick-12s-DJaw0vIn.js');
var React = require('react');

const reducer = (state, action)=>{
    switch(action.type){
        case 'ADD_MODAL':
            return {
                modals: [
                    ...state.modals,
                    {
                        ...action.payload,
                        modalId: new Date().valueOf(),
                        open: true
                    }
                ]
            };
        case 'REMOVE_MODAL':
            return {
                modals: state.modals.filter((modal)=>modal.modalId !== action.payload)
            };
        case 'REMOVE_ALL_MODALS':
            return {
                modals: []
            };
        default:
            return state;
    }
};
let modalStore = {
    modals: []
};
const listeners = new Set();
const getState = ()=>modalStore;
const setModalStore = (action)=>{
    modalStore = reducer(modalStore, action);
    listeners.forEach((listener)=>listener());
};
const useModalStore = ()=>React.useSyncExternalStore((listener)=>{
        listeners.add(listener);
        return ()=>listeners.delete(listener);
    }, getState, getState);

const ModalHost = (defaultProps)=>{
    const { modals } = useModalStore();
    return /*#__PURE__*/ jsxRuntime.jsx(jsxRuntime.Fragment, {
        children: modals.map(({ modalId, content, onOk, onClose, ...rest })=>/*#__PURE__*/ jsxRuntime.jsx(ModalQuick12s.ModalQuick, {
                ...defaultProps,
                ...rest,
                onOk: async ()=>{
                    await onOk?.();
                    setModalStore({
                        type: 'REMOVE_MODAL',
                        payload: modalId
                    });
                },
                onClose: ()=>{
                    onClose?.({}, 'closeButtonClick');
                    setModalStore({
                        type: 'REMOVE_MODAL',
                        payload: modalId
                    });
                },
                children: content
            }, modalId))
    });
};
const openModal = {
    info: (config)=>{
        setModalStore({
            type: 'ADD_MODAL',
            payload: {
                ...config,
                type: 'info'
            }
        });
    },
    success: (config)=>{
        setModalStore({
            type: 'ADD_MODAL',
            payload: {
                ...config,
                type: 'success'
            }
        });
    },
    warning: (config)=>{
        setModalStore({
            type: 'ADD_MODAL',
            payload: {
                ...config,
                type: 'warning'
            }
        });
    },
    error: (config)=>{
        setModalStore({
            type: 'ADD_MODAL',
            payload: {
                ...config,
                type: 'error'
            }
        });
    },
    confirm: (config)=>{
        setModalStore({
            type: 'ADD_MODAL',
            payload: {
                ...config,
                type: 'confirm'
            }
        });
    }
};

exports.ModalHost = ModalHost;
exports.openModal = openModal;
