'use client';
var React = require('react');

let state = {
    toastProps: {},
    alertProps: {},
    type: 'info',
    key: 0,
    open: false,
    message: ''
};
const listeners = new Set();
const getState = ()=>state;
const setToasterState = (newState)=>{
    state = {
        ...state,
        ...newState
    };
    listeners.forEach((listener)=>listener());
};
const useToastStore = ()=>React.useSyncExternalStore((listener)=>{
        listeners.add(listener);
        return ()=>listeners.delete(listener);
    }, getState, getState);

exports.setToasterState = setToasterState;
exports.useToastStore = useToastStore;
