'use client';
import { jsx } from 'react/jsx-runtime';
import { Check } from '@mui/icons-material';
import { Switch as Switch$1 } from '@mui/material';
import { forwardRef } from 'react';
import { m as mergeSx } from './Button-12s-G2UrgcxM.mjs';

/**
 * `Switch` 元件是一個開關的選擇器。
 * 在我們表示開關狀態，或兩種狀態之間的切換時，很適合使用。和 Checkbox 的區別是， Checkbox 一般只用來標記狀態是否被選取，
 * 需要提交之後才會生效，而 Switch 則會在觸發的當下直接觸發狀態的改變。
 *
 * 參考 [Material-UI: Switch](https://mui.com/material-ui/react-switch/)
 */ const Switch = /*#__PURE__*/ forwardRef(({ sx, size, checked, ...props }, ref)=>/*#__PURE__*/ jsx(Switch$1, {
        ref: ref,
        checked: checked,
        checkedIcon: /*#__PURE__*/ jsx(Check, {
            sx: {
                width: size === 'small' ? 16 : 20,
                height: size === 'small' ? 16 : 20,
                backgroundColor: 'white',
                borderRadius: '50%'
            }
        }),
        sx: mergeSx({
            p: size === 'small' ? 0.5 : 0.5,
            width: size === 'small' ? 48 : 60,
            height: size === 'small' ? 32 : 40,
            '& .MuiSwitch-track': {
                borderRadius: 4,
                backgroundColor: 'grey.300',
                opacity: 1,
                border: 2,
                borderColor: 'grey.500'
            },
            '& .MuiSwitch-switchBase.Mui-checked+.MuiSwitch-track': {
                backgroundColor: 'primary.main',
                border: 0,
                opacity: 1
            },
            '& .MuiButtonBase-root': {
                p: size === 'small' ? 1 : 1.25
            },
            '& .MuiButtonBase-root.Mui-checked': {
                ...size === 'small' && {
                    transform: 'translateX(16px)'
                }
            },
            '& .MuiSwitch-thumb': {
                ...size === 'small' && {
                    width: 16,
                    height: 16
                },
                ...!checked && {
                    backgroundColor: 'grey.500'
                }
            }
        }, sx),
        ...props
    }));
if (process.env.NODE_ENV !== 'production') {
    Switch.displayName = 'GwSwitch';
}

export { Switch as S };
