'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Add } from '@mui/icons-material';
import { styled } from '@mui/material';
import { B as Button } from './Button-12s-G2UrgcxM.mjs';
import '@mui/material/CircularProgress';
import '@mui/material/IconButton';
import 'react';

const VisuallyHiddenInput = styled('input')({
    clip: 'rect(0 0 0 0)',
    clipPath: 'inset(50%)',
    height: 1,
    overflow: 'hidden',
    position: 'absolute',
    bottom: 0,
    left: 0,
    whiteSpace: 'nowrap',
    width: 1
});
const UploadButton = ({ acceptMimeTypes, handleAddFile, disabled = false, type = 'drag-and-drop', children })=>/*#__PURE__*/ jsxs(Button, {
        variant: type === 'drag-and-drop' ? 'outlined' : 'text',
        component: "label",
        disabled: disabled,
        startIcon: type === 'compact-list' && /*#__PURE__*/ jsx(Add, {}),
        children: [
            children ?? 'Chose file',
            /*#__PURE__*/ jsx(VisuallyHiddenInput, {
                type: "file",
                hidden: true,
                onClick: (e)=>{
                    e.target.value = '';
                    e.stopPropagation();
                    if (disabled) {
                        e.preventDefault();
                    }
                },
                onChange: (e)=>{
                    if (disabled) return;
                    handleAddFile(e);
                },
                accept: acceptMimeTypes?.join(',')
            })
        ]
    });

export { UploadButton as U };
